Package org.apache.cayenne.configuration

## Interface ConfigurationNodeVisitor<T>

- All Known Implementing Classes:
    `BaseConfigurationNodeVisitor`, `EmptyConfigurationNodeVisitor`

      public interface ConfigurationNodeVisitor<T>

  A visitor interface for implementing operations on different types of `ConfigurationNode` objects.
  Since:
    3.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `visitDataChannelDescriptor​(DataChannelDescriptor channelDescriptor)` |
    `T` | `visitDataMap​(DataMap dataMap)` |
    `T` | `visitDataNodeDescriptor​(DataNodeDescriptor nodeDescriptor)` |
    `T` | `visitDbAttribute​(DbAttribute attribute)` |
    `T` | `visitDbEntity​(DbEntity entity)` |
    `T` | `visitDbRelationship​(DbRelationship relationship)` |
    `T` | `visitEmbeddable​(Embeddable embeddable)` |
    `T` | `visitEmbeddableAttribute​(EmbeddableAttribute attribute)` |
    `T` | `visitObjAttribute​(ObjAttribute attribute)` |
    `T` | `visitObjEntity​(ObjEntity entity)` |
    `T` | `visitObjRelationship​(ObjRelationship relationship)` |
    `T` | `visitProcedure​(Procedure procedure)` |
    `T` | `visitProcedureParameter​(ProcedureParameter parameter)` |
    `T` | `visitQuery​(QueryDescriptor query)` |

- - ### Method Detail

    - #### visitDataChannelDescriptor

          T visitDataChannelDescriptor​(DataChannelDescriptor channelDescriptor)

    - #### visitDataNodeDescriptor

          T visitDataNodeDescriptor​(DataNodeDescriptor nodeDescriptor)

    - #### visitDataMap

          T visitDataMap​(DataMap dataMap)

    - #### visitObjEntity

          T visitObjEntity​(ObjEntity entity)

    - #### visitDbEntity

          T visitDbEntity​(DbEntity entity)

    - #### visitEmbeddable

          T visitEmbeddable​(Embeddable embeddable)

    - #### visitEmbeddableAttribute

          T visitEmbeddableAttribute​(EmbeddableAttribute attribute)

    - #### visitObjAttribute

          T visitObjAttribute​(ObjAttribute attribute)

    - #### visitDbAttribute

          T visitDbAttribute​(DbAttribute attribute)

    - #### visitObjRelationship

          T visitObjRelationship​(ObjRelationship relationship)

    - #### visitDbRelationship

          T visitDbRelationship​(DbRelationship relationship)

    - #### visitProcedure

          T visitProcedure​(Procedure procedure)

    - #### visitProcedureParameter

          T visitProcedureParameter​(ProcedureParameter parameter)

    - #### visitQuery

          T visitQuery​(QueryDescriptor query)